jvx.math

## Class MathListener

- java.lang.Object
- - jvx.math.MathListener

- Direct Known Subclasses:
    MathCameraListener, MathPickListener, MathTimerListener, MathUpdateListener

      public class MathListener
      extends java.lang.Object

  Superclass for all event listeners of JavaView supplies adapter functionality to invoke Mathematica functions whenever a JavaView listener method is invoked. This class contains the Math-Link and a hashtable for the method/function mapping.

  Beside registration of Mathematica functions this class communicates with the Mathematica kernel and invokes the Mathematica function registered in the handler.

  This class is provided as a convenience to simplify the writing of listeners. Subclasses do not implement the registration methods invoked by Mathematica to register handler commands and establishing of the kernel link.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathListener()` Constructor tries to get Math-Link connection.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHandler(java.lang.String meth)` Get the callback function of Mathematica which is registered with an event listener method of JavaView.
    `java.lang.String` | `getName()` The name of a listeners allows the display to issue verbal debug messages.
    `void` | `setHandler(java.lang.String meth, java.lang.String func)` Register a callback function of Mathematica which is invoked whenever the event listener method of JavaView is called.
    `void` | `setName(java.lang.String name)` Set name of this listener.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MathListener

          public MathListener()

      Constructor tries to get Math-Link connection.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      The name of a listeners allows the display to issue verbal debug messages.

    - #### setName

          public void setName(java.lang.String name)

      Set name of this listener.

    - #### getHandler

          public java.lang.String getHandler(java.lang.String meth)

      Get the callback function of Mathematica which is registered with an event listener method of JavaView.
      Parameters:
        `meth` - Listener method called from JavaView events.

    - #### setHandler

          public void setHandler(java.lang.String meth,
                        java.lang.String func)

      Register a callback function of Mathematica which is invoked whenever the event listener method of JavaView is called.
      Parameters:
        `meth` - Listener method called from JavaView events.
        `func` - Mathematica function to be invoked.

"

The software JavaView? is copyright protected. All Rights Reserved.
"